Bug 1267009 - Review Request: ola - a framework for controlling entertainment lighting equipment
Review Request: ola - a framework for controlling entertainment lighting equi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: John Dulaney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 15:30 EDT by Dave Olsthoorn
Modified: 2016-02-10 13:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-23 07:07:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nb: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dave Olsthoorn 2015-09-28 15:30:58 EDT
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/daveo/OLA/ola.git/plain/ola.spec?id=bcfb6612f3e7648c265987db6649dabda478b03e
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/daveo/OLA/epel-6-i386/00118836-ola/ola-0.9.7-1.src.rpm
Description: The Open Lighting Architecture is a framework for lighting control information. It supports a range of protocols and over a dozen USB devices. It can run as a standalone service, which is useful for converting signals between protocols, or alternatively using the OLA API, it can be used as the back-end for lighting control software. OLA runs on many different platforms including ARM, which makes it a perfect fit for low cost Ethernet to DMX gateways.
Fedora Account System Username: daveo

This is my first package and I need a sponsor. I chose this software because I became familiar with it over the last year whilst programming the new web interface (which is still a work in progress). Programming the new web interface I got to know the main developers.

For bonus points: http://koji.fedoraproject.org/koji/taskinfo?taskID=11252563
Comment 1 Dave Olsthoorn 2015-09-29 11:23:39 EDT
Main git repo: https://github.com/OpenLightingProject/ola.git
Comment 2 Dave Olsthoorn 2015-10-01 07:44:40 EDT
upstream released a new version:
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/daveo/OLA/ola.git/plain/ola.spec?id=bb5151d3c4b8c0aa11ee0cd9f436e508a1418fe0
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/daveo/OLA/fedora-23-x86_64/00121738-ola/ola-0.9.8-1.fc23.src.rpm

I also included a patch to remove a deprecated autotools macro in configure.ac this is already fixed upstream. and the dist tag is now also included in the release tag.
Comment 3 Upstream Release Monitoring 2015-10-07 10:22:11 EDT
daveo's scratch build of ola-0.9.8-1.fc22.src.rpm for f22 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11357815
Comment 4 John Dulaney 2015-11-10 20:20:10 EST
Unofficial review:

rpmlint is throwing a few issues:

ola.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libolacommon.so.0.0.0

ola-devel.x86_64: W: only-non-binary-in-usr-lib
ola-devel.x86_64: E: non-empty-%postun /sbin/ldconfig

python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ExpectedResults.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ModelCollector.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestState.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/DMXSender.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/ClientWrapper.py 644 /usr/bin/env
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestLogger.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestRunner.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ResponderTest.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestHelpers.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/DMXConstants.py 644 /usr/bin/env
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestCategory.py 644 /usr/bin/python

ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ExpectedResults.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ModelCollector.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestRunner.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ResponderTest.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestHelpers.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestState.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestLogger.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/DMXSender.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestCategory.py 644 /usr/bin/python





This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find MIT-LICENSE.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2 or later)", "GPL (v2 or later) LGPL (v2 or
     later)", "Unknown or generated", "MIT/X11 (BSD like)", "Apache (v2.0)
     LGPL (v2.1 or later)", "*No copyright* Apache (v2.0)", "BSD (3
     clause)", "GPL (v2 or later) (with incorrect FSF address)", "LGPL
     (v2.1 or later)", "*No copyright* GPL (v2 or later)", "GPL (v3 or
     later)", "*No copyright* LGPL (v2.1 or later)". 400 files have unknown
     license. Detailed output of licensecheck in /home/jdulaney/rpmbuild
     /review-ola/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev, /usr/share/ola,
     /usr/lib/udev/rules.d
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 4 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-ola , ola-rdm-tests , ola-debuginfo
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[ ]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1832960 bytes in /usr/share
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.13 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.13
INFO: Mock Version: 1.2.13
Finish: chroot init
INFO: installing package(s): /home/jdulaney/rpmbuild/review-ola/results/ola-0.9.8-1.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-ola/results/ola-devel-0.9.8-1.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-ola/results/python2-ola-0.9.8-1.fc23.noarch.rpm /home/jdulaney/rpmbuild/review-ola/results/ola-rdm-tests-0.9.8-1.fc23.noarch.rpm /home/jdulaney/rpmbuild/review-ola/results/ola-debuginfo-0.9.8-1.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-ola/results/ola-debuginfo-0.9.8-1.fc23.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-23-x86_64/root/ --releasever 23 install /home/jdulaney/rpmbuild/review-ola/results/ola-0.9.8-1.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-ola/results/ola-devel-0.9.8-1.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-ola/results/python2-ola-0.9.8-1.fc23.noarch.rpm /home/jdulaney/rpmbuild/review-ola/results/ola-rdm-tests-0.9.8-1.fc23.noarch.rpm /home/jdulaney/rpmbuild/review-ola/results/ola-debuginfo-0.9.8-1.fc23.x86_64.rpm /home/jdulaney/rpmbuild/review-ola/results/ola-debuginfo-0.9.8-1.fc23.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: ola-0.9.8-1.fc23.x86_64.rpm
          ola-devel-0.9.8-1.fc23.x86_64.rpm
          python2-ola-0.9.8-1.fc23.noarch.rpm
          ola-rdm-tests-0.9.8-1.fc23.noarch.rpm
          ola-debuginfo-0.9.8-1.fc23.x86_64.rpm
          ola-0.9.8-1.fc23.src.rpm
ola.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libolacommon.so.0.0.0
ola.x86_64: W: no-manual-page-for-binary ola_rdm_get
ola.x86_64: W: no-manual-page-for-binary ola_rdm_discover
ola.x86_64: W: no-manual-page-for-binary ola_set_dmx
ola.x86_64: W: no-manual-page-for-binary ola_rdm_set
ola-devel.x86_64: W: only-non-binary-in-usr-lib
ola-devel.x86_64: E: non-empty-%postun /sbin/ldconfig
python2-ola.noarch: W: no-documentation
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ExpectedResults.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ModelCollector.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestState.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/DMXSender.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/ClientWrapper.py 644 /usr/bin/env
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestLogger.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestRunner.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ResponderTest.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestHelpers.py 644 /usr/bin/python
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/DMXConstants.py 644 /usr/bin/env
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestCategory.py 644 /usr/bin/python
ola-rdm-tests.noarch: W: no-documentation
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ExpectedResults.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ModelCollector.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestRunner.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ResponderTest.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestHelpers.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestState.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestLogger.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/DMXSender.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestCategory.py 644 /usr/bin/python
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_model_collector.py
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_responder_test.py
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_test_server.py
ola.src: W: invalid-url Source0: https://github.com/OpenLightingProject/ola/releases/download/0.9.8/ola-0.9.8.tar.gz HTTP Error 403: Forbidden
6 packages and 0 specfiles checked; 22 errors, 11 warnings.




Requires
--------
ola (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libavahi-client.so.3()(64bit)
    libavahi-common.so.3()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    liblo.so.7()(64bit)
    libm.so.6()(64bit)
    libmicrohttpd.so.10()(64bit)
    libola.so.1()(64bit)
    libolaartnet.so.0()(64bit)
    libolaartnetconf.so.0()(64bit)
    libolacommon.so.0()(64bit)
    liboladummy.so.0()(64bit)
    libolae131.so.0()(64bit)
    libolae131conf.so.0()(64bit)
    libolaespnet.so.0()(64bit)
    libolagpio.so.0()(64bit)
    libolagpiocore.so.0()(64bit)
    libolakarate.so.0()(64bit)
    libolakinet.so.0()(64bit)
    libolamilinst.so.0()(64bit)
    libolaopendmx.so.0()(64bit)
    libolaopenpixelcontrol.so.0()(64bit)
    libolaosc.so.0()(64bit)
    libolapathport.so.0()(64bit)
    libolarenard.so.0()(64bit)
    libolasandnet.so.0()(64bit)
    libolaserver.so.0()(64bit)
    libolaserverplugininterface.so.0()(64bit)
    libolashownet.so.0()(64bit)
    libolaspi.so.0()(64bit)
    libolaspicore.so.0()(64bit)
    libolastageprofi.so.0()(64bit)
    libolatrigger.so.0()(64bit)
    libolauartdmx.so.0()(64bit)
    libolausbdmx.so.0()(64bit)
    libolausbpro.so.0()(64bit)
    libolausbproconf.so.0()(64bit)
    libprotobuf.so.9()(64bit)
    libpthread.so.0()(64bit)
    libresolv.so.2()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libusb-1.0.so.0()(64bit)
    libuuid.so.1()(64bit)
    libuuid.so.1(UUID_1.0)(64bit)
    rtld(GNU_HASH)

ola-devel (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/pkg-config
    libola.so.1()(64bit)
    libolaartnet.so.0()(64bit)
    libolaartnetconf.so.0()(64bit)
    libolacommon.so.0()(64bit)
    liboladummy.so.0()(64bit)
    libolae131.so.0()(64bit)
    libolae131conf.so.0()(64bit)
    libolaespnet.so.0()(64bit)
    libolagpio.so.0()(64bit)
    libolagpiocore.so.0()(64bit)
    libolakarate.so.0()(64bit)
    libolakinet.so.0()(64bit)
    libolamilinst.so.0()(64bit)
    libolaopendmx.so.0()(64bit)
    libolaopenpixelcontrol.so.0()(64bit)
    libolaosc.so.0()(64bit)
    libolapathport.so.0()(64bit)
    libolarenard.so.0()(64bit)
    libolasandnet.so.0()(64bit)
    libolaserver.so.0()(64bit)
    libolaserverplugininterface.so.0()(64bit)
    libolashownet.so.0()(64bit)
    libolaspi.so.0()(64bit)
    libolaspicore.so.0()(64bit)
    libolastageprofi.so.0()(64bit)
    libolatrigger.so.0()(64bit)
    libolauartdmx.so.0()(64bit)
    libolausbdmx.so.0()(64bit)
    libolausbpro.so.0()(64bit)
    libolausbproconf.so.0()(64bit)
    ola(x86-64)
    pkgconfig(protobuf)
    protobuf-devel

ola-debuginfo (rpmlib, GLIBC filtered):

python2-ola (rpmlib, GLIBC filtered):
    ola
    protobuf-python
    python(abi)

ola-rdm-tests (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python2-ola



Provides
--------
ola:
    bundled(angular-route)
    bundled(angularjs)
    bundled(bootstrap)
    bundled(jquery)
    libola.so.1()(64bit)
    libolaartnet.so.0()(64bit)
    libolaartnetconf.so.0()(64bit)
    libolacommon.so.0()(64bit)
    liboladummy.so.0()(64bit)
    libolae131.so.0()(64bit)
    libolae131conf.so.0()(64bit)
    libolaespnet.so.0()(64bit)
    libolagpio.so.0()(64bit)
    libolagpiocore.so.0()(64bit)
    libolakarate.so.0()(64bit)
    libolakinet.so.0()(64bit)
    libolamilinst.so.0()(64bit)
    libolaopendmx.so.0()(64bit)
    libolaopenpixelcontrol.so.0()(64bit)
    libolaosc.so.0()(64bit)
    libolapathport.so.0()(64bit)
    libolarenard.so.0()(64bit)
    libolasandnet.so.0()(64bit)
    libolaserver.so.0()(64bit)
    libolaserverplugininterface.so.0()(64bit)
    libolashownet.so.0()(64bit)
    libolaspi.so.0()(64bit)
    libolaspicore.so.0()(64bit)
    libolastageprofi.so.0()(64bit)
    libolatrigger.so.0()(64bit)
    libolauartdmx.so.0()(64bit)
    libolausbdmx.so.0()(64bit)
    libolausbpro.so.0()(64bit)
    libolausbproconf.so.0()(64bit)
    ola
    ola(x86-64)

ola-devel:
    ola-devel
    ola-devel(x86-64)
    pkgconfig(libola)
    pkgconfig(libolaartnetconf)
    pkgconfig(libolae131conf)
    pkgconfig(libolaserver)
    pkgconfig(libolausbproconf)

ola-debuginfo:
    ola-debuginfo
    ola-debuginfo(x86-64)

python2-ola:
    python-ola
    python2-ola

ola-rdm-tests:
    bundled(jquery)
    bundled(jquery-ui)
    ola-rdm-tests



Source checksums
----------------
https://github.com/OpenLightingProject/ola/releases/download/0.9.8/ola-0.9.8.tar.gz :
  CHECKSUM(SHA256) this package     : 1c1e0fc1810b0c0857563bc481c872b8ed5d2e62c97c1083c82eabd7ebbd70a6
  CHECKSUM(SHA256) upstream package : 1c1e0fc1810b0c0857563bc481c872b8ed5d2e62c97c1083c82eabd7ebbd70a6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -n ola
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6





I note that you are bundling.  I realize that this is now sort of technically allowed, but, it's still not best practice.  Would you be able to unbundle these libs?  If you can't, it's surviveable, but better to use the libs in the repos already if you can.
Comment 5 Dave Olsthoorn 2015-11-12 11:45:50 EST
I have spoken with the developers and they say we would have to work with symlinks.... but they are open to the idea.

also I made a new build where i fixed some stuff:

Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/daveo/OLA/ola.git/plain/ola.spec?id=d67a74e7dbd1b9e9f8e4aa0610e6be6d4ca475f8
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/daveo/OLA/fedora-21-i386/00139066-ola/ola-0.9.8-2.fc21.src.rpm
Comment 6 Upstream Release Monitoring 2015-11-12 11:49:18 EST
daveo's scratch build of ola-0.9.8-2.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11805731
Comment 7 John Dulaney 2015-11-12 11:54:39 EST
https://fedoraproject.org/wiki/Packaging:Guidelines#Beware_of_Rpath

Better to fix the the issues that arise when you disable rpath.

Am looking at the new build.

Also, I note that if you do test builds, you should do them against rawhide.  You can do this in mock if necessary.
Comment 8 John Dulaney 2015-11-12 12:48:42 EST
Checking: ola-0.9.8-2.fc23.x86_64.rpm
          ola-devel-0.9.8-2.fc23.x86_64.rpm
          python2-ola-0.9.8-2.fc23.noarch.rpm
          ola-rdm-tests-0.9.8-2.fc23.noarch.rpm
          ola-debuginfo-0.9.8-2.fc23.x86_64.rpm
          ola-0.9.8-2.fc23.src.rpm
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolaspicore.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolaserver.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolamilinst.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolaopendmx.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolashownet.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolagpio.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libolacommon.so.0.0.0
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolaopenpixelcontrol.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_usbpro ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_timecode ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolakarate.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolasandnet.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolausbdmx.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolakinet.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_artnet ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_rdm_get ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_trigger ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_uni_stats ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolarenard.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolastageprofi.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolaspi.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_rdm_discover ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolaespnet.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libola.so.1.0.1 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolausbpro.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_streaming_client ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolaartnet.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolapathport.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolagpiocore.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/rdmpro_sniffer ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/usbpro_firmware ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/olad ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolaserverplugininterface.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_dev_info ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_e131 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolauartdmx.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ola_recorder ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolae131.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libolatrigger.so.0.0.0 ['/usr/lib64']
ola.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/liboladummy.so.0.0.0 ['/usr/lib64']
ola.x86_64: W: no-manual-page-for-binary ola_rdm_discover
ola.x86_64: W: no-manual-page-for-binary ola_set_dmx
ola.x86_64: W: no-manual-page-for-binary ola_rdm_get
ola.x86_64: W: no-manual-page-for-binary ola_rdm_set
ola-devel.x86_64: W: only-non-binary-in-usr-lib
ola-devel.x86_64: E: non-empty-%postun /sbin/ldconfig
python2-ola.noarch: W: no-documentation
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/DMXConstants.py 644 /usr/bin/env
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/ClientWrapper.py 644 /usr/bin/env
ola-rdm-tests.noarch: W: no-documentation
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestCategory.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ExpectedResults.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ResponderTest.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/DMXSender.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ModelCollector.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestHelpers.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestState.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestRunner.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestLogger.py 644 /usr/bin/python
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_test_server.py
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_model_collector.py
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_responder_test.py
ola.src:129: W: macro-in-%changelog %files
ola.src: W: invalid-url Source0: https://github.com/OpenLightingProject/ola/releases/download/0.9.8/ola-0.9.8.tar.gz HTTP Error 403: Forbidden
6 packages and 0 specfiles checked; 52 errors, 12 warnings.

All the errors will have to be fixed; the warnings would be nice.
Comment 10 Upstream Release Monitoring 2015-11-12 16:08:55 EST
daveo's scratch build of ola-0.9.8-3.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11807396
Comment 11 Dave Olsthoorn 2015-11-12 16:36:36 EST
i'm not exactly sure how it failed... or how i could resolve it....
Comment 12 John Dulaney 2015-11-12 18:25:38 EST
You are still failing rpmlint:

Checking: ola-0.9.8-3.fc23.x86_64.rpm
          ola-devel-0.9.8-3.fc23.x86_64.rpm
          python2-ola-0.9.8-3.fc23.noarch.rpm
          ola-rdm-tests-0.9.8-3.fc23.noarch.rpm
          ola-data-0.9.8-3.fc23.noarch.rpm
          ola-debuginfo-0.9.8-3.fc23.x86_64.rpm
          ola-0.9.8-3.fc23.src.rpm
ola.x86_64: E: missing-call-to-setgroups-before-setuid /usr/lib64/libolacommon.so.0.0.0
ola.x86_64: W: no-manual-page-for-binary ola_rdm_discover
ola.x86_64: W: no-manual-page-for-binary ola_rdm_set
ola.x86_64: W: no-manual-page-for-binary ola_set_dmx
ola.x86_64: W: no-manual-page-for-binary ola_rdm_get
ola-devel.x86_64: W: only-non-binary-in-usr-lib
ola-devel.x86_64: E: non-empty-%postun /sbin/ldconfig
python2-ola.noarch: W: no-documentation
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/DMXConstants.py 644 /usr/bin/env
python2-ola.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/ClientWrapper.py 644 /usr/bin/env
ola-rdm-tests.noarch: W: no-documentation
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ResponderTest.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestState.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestHelpers.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestLogger.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestRunner.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ExpectedResults.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/TestCategory.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/DMXSender.py 644 /usr/bin/python
ola-rdm-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ola/testing/rdm/ModelCollector.py 644 /usr/bin/python
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_test_server.py
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_responder_test.py
ola-rdm-tests.noarch: W: no-manual-page-for-binary rdm_model_collector.py
ola-data.noarch: W: summary-not-capitalized C data for OLA
ola-data.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
ola-data.noarch: W: spelling-error %description -l en_US rdm -> rd, rm, rem
ola-data.noarch: W: no-documentation
ola.src: W: invalid-url Source0: https://github.com/OpenLightingProject/ola/releases/download/0.9.8/ola-0.9.8.tar.gz HTTP Error 403: Forbidden

Better, but still things to fix.  I would start with the python non-executable-script errors next.  That will clean up a lot of the scary.
Comment 13 Upstream Release Monitoring 2015-12-08 14:19:49 EST
daveo's scratch build of ola-0.9.8-4.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12113648
Comment 14 Dave Olsthoorn 2015-12-08 14:34:50 EST
fixed the python errors and the setgroups issue:

Spec URL: https://bewaar.me/fedora/ola.spec
SRPM URL: https://bewaar.me/fedora/ola-0.9.8-5.fc23.src.rpm
Comment 15 Upstream Release Monitoring 2015-12-08 15:05:53 EST
daveo's scratch build of ola-0.9.8-5.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12113911
Comment 16 John Dulaney 2015-12-09 00:18:21 EST
./ola.spec:85: W: rpm-buildroot-usage %build export LD_LIBRARY_PATH="%buildroot%{_libdir}"
./ola.spec: W: invalid-url Source0: https://github.com/OpenLightingProject/ola/releases/download/0.9.8/ola-0.9.8.tar.gz HTTP Error 403: Forbidden

The first is a must fix.

The second is an ought to look at.


Take care of these, and you should be set.  Alas, as I am not a sponsor, I cannot sponsor you, but, hop into #fedora-devel and ask around.  You ought to be able to get someone.
Comment 17 Dave Olsthoorn 2015-12-10 05:04:27 EST
Fixed the rpm-buildroot-usage, I'm not sure how I can fix the invalid-url error as the link is just a valid download link:

Spec URL: https://bewaar.me/fedora/ola.spec
SRPM URL: https://bewaar.me/fedora/ola-0.9.8-6.fc23.src.rpm
Comment 18 Upstream Release Monitoring 2015-12-10 05:31:52 EST
daveo's scratch build of ola-0.9.8-6.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12136196
Comment 19 Dave Olsthoorn 2015-12-10 06:10:39 EST
Fixed the license shim for el6:

Spec URL: https://bewaar.me/fedora/ola.spec
SRPM URL: https://bewaar.me/fedora/ola-0.9.8-7.fc23.src.rpm
Comment 20 Upstream Release Monitoring 2015-12-10 06:46:46 EST
daveo's scratch build of ola-0.9.8-7.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12136957
Comment 21 Zbigniew Jędrzejewski-Szmek 2015-12-10 09:05:30 EST
Yeah, the URL fails because github doesn't like the agent string. Can be ignored.
Comment 22 Nick Bebout 2015-12-11 11:10:40 EST
I looked over the review that jdulaney did.  It looks good.  I have sponsored him and set fedora-review to +
Comment 23 Gwyn Ciesla 2015-12-11 13:49:03 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/ola
Comment 24 Dave Olsthoorn 2015-12-23 07:07:06 EST
The package has been approved and has landed in stable releases
Comment 25 Michael Schwendt 2016-02-10 13:26:23 EST
> %post devel -p /sbin/ldconfig
> %postun devel -p /sbin/ldconfig

As I've seen such scriptlets in -devel packages several times in late 2015, where does this come from?

It is very unusual for -devel packages to run ldconfig, because ldconfig is a tool for the runtime linker cache whereas -devel packages only contain symlinks and files for development-time. If a -devel package doesn't install any runtime lib, it is superfluous to run ldconfig.


> %package data
> Group:          Development/Libraries
> Summary:        data for OLA

Sounds like the wrong group for the files in that package. The same group as the base package would be more sane.  ( /usr/share/doc/rpm/GROUPS )


> %check
> export LD_LIBRARY_PATH="%buildroot%{_libdir}"
> make check %{!?el6:%{?_smp_mflags}} #el6 has problems with parralel building
> find %buildroot -name "*\.la" -delete
> find %buildroot -name "*\.a" -delete
> 
> %install

Note that %check is executed _after_ %install, so moving the section below the %install section would be more logical. Prior to %install, %buildroot would be empty, btw.


> %files data
> %{_datadir}/olad
> %dir %{_datadir}/ola
> %{_datadir}/ola/pids

As a hint here, increase readability of a %files section with explicit trailing '/' on directories:

  %files data
  %{_datadir}/olad/
  %dir %{_datadir}/ola
  %{_datadir}/ola/pids/

Note You need to log in before you can comment on or make changes to this bug.